Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2024 12:21:44 +0200

Ping!  Unless someone can debug this, I'm going to close this bug as
unreproducible.

> Date: Sat, 12 Oct 2024 12:09:02 -0400
> Cc: [email-masked]
> From: Yixuan Chen <[email-masked]>
> 
> On 10/12/24 04:02, Eli Zaretskii wrote:
> > I cannot reproduce the problem on my system.  I've let Emacs randomize
> > the fonts for quite some time, and everything keeps rendering
> > correctly without the extra spaces.  When you say "eventually", how
> > long do you typically wait until the problem appears?
> 
> It took me 5 seconds at most, and usually happened immediately.
> 
> > (As two deviations from your init.el, I used a different font
> > (Cascadia Code), since I don't have JetBrains Mono installed; and I
> > replaces use-package with the equivalent Lisp, since I don't want to
> > install ligatures.el on this system.  I don't think these two
> > deviations should matter, but I mention them FTR.)
> 
> I can replicate the same problem (and even worse in some cases) using 
> Cascadia Code.
> 
> The `use-package` should be replaceable, except you want to keep the 
> list of ligature strings formatted in the same way. I'm not fluent in 
> Elisp or emacs API, so my dumb way of randomization is achieved through 
> regexp matching over the ligature strings. If they are re-organized in 
> some way (say merged into one huge line), it might break the randomization.
> 
> > I think this might be system-dependent.  Can someone try this in a
> > Cairo build on GNU/Linux and see if the problem reproduces?
> 
> Potentially, I'm using emacs-pgtk on wayland.
>